Gtk_Curve(3)

NAME - Gtk_Curve

HEADER REQUIRED
#include <gtk--/curve.h&gt;>

BASE CLASSES
Gtk_DrawingArea(3)

PROPERTIES

cursor_type
    Type: gint

min_x
    Type: gfloat

max_x
    Type: gfloat

min_y
    Type: gfloat

max_y
    Type: gfloat

pixmap
    Type: GdkPixmap*

curve_type
    Type: GtkCurveType

height
    Type: gint

     (cached) graph height in pixels

grab_point
    Type: gint

     point currently grabbed

last
    Type: gint

num_points
    Type: gint

     (cached) curve points:

point
    Type: GdkPoint*

num_ctlpoints
    Type: gint

     number of control points

PUBLIC MEMBER INDEX
    Gtk_Curve();
    Gtk_Curve(GtkCurve *castitem);
    void  reset();
    void  set_gamma(gfloat gamma);
    void  set_range(gfloat min_x, gfloat max_x, gfloat min_y, gfloat max_y);
    void  get_vector(int veclen, vector *vect) const;
    void  set_vector(const vector &vect);
    void  set_curve_type(GtkCurveType type);
    signal void  curve_type_changed(BaseObjectType);
    GtkCurve*  gtkobj();
    const GtkCurve*  gtkobj() const;
    static bool  isGtkCurve(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkCurve  BaseObjectType;
    typedef GtkCurveClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  curve_type_changed_impl();

PRIVATE MEMBER INDEX
    static CppClassType  curve_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS